﻿{% extends "base.html" %}

{% load static %}



{% block title %}Ajout de voiture{% endblock %}
{% block extra_head %}
<link rel="stylesheet" type="text/css" href="{% static "css/post-wizard.css" %}">
{% endblock %}
{% block content %}
      <!-- =-=-=-=-=-=-= Main Header End  =-=-=-=-=-=-= --> 
      <!-- =-=-=-=-=-=-= Breadcrumb =-=-=-=-=-=-= -->
      <div class="page-header-area-2 gray">
         <div class="container">
            <div class="row">
               <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                  <div class="small-breadcrumb">
                     <div class="breadcrumb-link">
                        <ul>
                           <li><a href="/">Accueil</a></li>
                           <li><a class="active" href="#">Publication de véhicule</a></li>
                        </ul>
                     </div>
                     <div class="header-page">
                        <h1>Ajout d'une voiture</h1>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
      <!-- =-=-=-=-=-=-= Breadcrumb End =-=-=-=-=-=-= -->
      <!-- =-=-=-=-=-=-= Main Content Area =-=-=-=-=-=-= -->
      <div class="main-content-area clearfix">
         <!-- =-=-=-=-=-=-= Latest Ads =-=-=-=-=-=-= -->
         <section class="section-padding no-top gray ">
            <!-- Main Container -->
            <div class="container">
               <!-- Row -->
               <div class="row">
                  <div class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
                     <!-- end post-padding -->
                     <div id="addCar" class="post-ad-form postdetails">
                                             <!-- Nav tabs -->
                                             <div class="wizard">
                                                <div class="wizard-inner">
                                                    <div class="connecting-line"></div>
                                                    <ul class="nav nav-tabs" role="tablist">
                                    
                                                        <li role="presentation" class="active">
                                                            <a href="#step1" data-toggle="tab" aria-controls="step1" role="tab" title="Identité">
                                                                <span class="round-tab">
                                                                    <i class="glyphicon glyphicon-list-alt"></i>
                                                                </span>
                                                            </a>
                                                        </li>
                                    
                                                        <li role="presentation" class="disabled">
                                                            <a href="#step2" data-toggle="tab" aria-controls="step2" role="tab" title="Options">
                                                                <span class="round-tab">
                                                                    <i class="glyphicon glyphicon-cog"></i>
                                                                </span>
                                                            </a>
                                                        </li>
                                                        <li role="presentation" class="disabled">
                                                            <a href="#step3" data-toggle="tab" aria-controls="step3" role="tab" title="Images">
                                                                <span class="round-tab">
                                                                    <i class="glyphicon glyphicon-picture"></i>
                                                                </span>
                                                            </a>
                                                        </li>
                                                        <li role="presentation" class="disabled">
                                                         <a href="#step4" data-toggle="tab" aria-controls="step4" role="tab" title="Prix">
                                                             <span class="round-tab">
                                                                 <i class="glyphicon glyphicon-usd"></i>
                                                             </span>
                                                         </a>
                                                     </li>
                                                        <li role="presentation" class="disabled">
                                                         <a href="#step5" data-toggle="tab" aria-controls="step5" role="tab" title="Documents">
                                                             <span class="round-tab">
                                                                 <i class="glyphicon glyphicon-folder-open"></i>
                                                             </span>
                                                         </a>
                                                     </li>

                                                  <li role="presentation" class="disabled">
                                                   <a href="#step6" data-toggle="tab" aria-controls="step6" role="tab" title="Disponibilité">
                                                       <span class="round-tab">
                                                           <i class="glyphicon glyphicon-calendar"></i>
                                                       </span>
                                                   </a>
                                               </li>
                                                    </ul>
                                                </div>
                                    
                                                <form  method="post"  enctype="multipart/form-data" id="newCarForm">{% csrf_token %}
                                                    <div class="tab-content">
                                                        <div class="tab-pane active" role="tabpanel" id="step1">
                                                            <h3>Identité du véhicule</h3>
                                                            <p>Renseigner les informations de bases</p>
                                                            <div class="row">

                                                            </div>
                                                            <div class="row">
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Description de la voiture</label>
                                                                  <input class="form-control"  name="desc" type="text">
                                                               </div>
                                                               <!-- VILLE  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label>Ville <span class="color-red">*</span></label>
                                                                  <select class="form-control" name="ville">
                                                                     {% for ville in VilleList %}
                                                                        <option value="{{ville.id}}">{{ville.libelle}}</option>
                                                                     {% endfor %}
                                                                  </select>
                                                               </div>
                                                               <!-- QUARTIER  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label>Quartier <span class="color-red">*</span></label>
                                                                  <select class="form-control" name="quartier">
                                                                     {% for quartier in QuartierList %}
                                                                     <option value="{{quartier.id}}">{{quartier.libelle}}</option>
                                                                  {% endfor %}
                                                                  </select>
                                                               </div>
                                                            </div>
                                                            <!-- end row -->
                                                            <div class="row">

                                                               <!-- MARQUE  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label>Marque <span class="color-red">*</span></label>
                                                                  <select class="form-control" name="marque">
                                                                     {% for marque in MarqueList %}
                                                                        <option value="{{marque.libelle}}">{{marque.libelle}}</option>
                                                                     {% endfor %}
                                                                  </select>
                                                               </div>
                                                               <!-- MODELE  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label>Modèle <span class="color-red">*</span></label>
                                                                  <select class="form-control" name="modele">
                                                                     {% for modele in ModeleList %}
                                                                     <option value="{{modele.libelle}}">{{modele.libelle}}</option>
                                                                  {% endfor %}
                                                                  </select>
                                                               </div>
                                                               <!-- TYPE  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label>Type de véhicule <span class="color-red">*</span></label>
                                                                  <select class="form-control" name="type_v">
                                                                     {% for typeCar in TypeVoitureList %}
                                                                     <option value="{{typeCar.id}}">{{typeCar.libelle}}</option>
                                                                  {% endfor %}
                                                                  </select>
                                                               </div>
                                                            </div>
                                                            <!-- end row -->
                                                            <div class="row">
                                                               <!-- Category  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label>Transmission <span class="color-red">*</span></label>
                                                                  <select class="form-control" name="tranmission">
                                                                     <!--<option value="{{ client.permis.type}}" selected="selected">{{ client.permis.type}}</option>-->
                                                                     <option value="Automatique">Automatique</option>
                                                                     <option value="Manuelle" selected>Manuelle</option>
                                                                  </select>  
                                                               </div>
                                                               <!-- Price  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label>Carburant <span class="color-red">*</span></label>
                                                                  <select class="form-control" name="carburant">
                                                                     <!--<option value="{{ client.permis.type}}" selected="selected">{{ client.permis.type}}</option>-->
                                                                     <option value="essence">essence</option>
                                                                     <option value="gazole">gazole</option>
                                                                  </select>  
                                                               </div>
                                                                 <!-- Category  -->
                                                                 <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label>Portes  <span class="color-red">*</span></label>
                                                                  <select class="form-control" name="porte">
                                                                     <!--<option value="{{ client.permis.type}}" selected="selected">{{ client.permis.type}}</option>-->
                                                                     <option value="2">2</option>
                                                                     <option value="4">4</option>
                                                                     <option value="6">6</option>
                                                                  </select>  
                                                               </div>
                                                            </div>
                                                            <!-- end row -->

                                                            <div class="row">
                                                              
                                                               <!-- Price  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label class="control-label">KM</label>
                                                                  <input class="form-control"  type="text" name="km">
                                                               </div>
                                                               <!-- Category  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Immatriculation</label>
                                                                  <input class="form-control"  type="text" name="matricule">
                                                               </div>
                                                               <!-- Price  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Nombre de Place</label>
                                                                  <input class="form-control" type="text" name="place">
                                                               </div>
                                                            </div>
                                                            <!-- end row -->
                                                            <div class="row">
                                                                <!-- Price  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label>Couleur <span class="color-red">*</span></label>
                                                                  <select class="form-control" name="couleur">
                                                                     <!--<option value="{{ client.permis.type}}" selected="selected">{{ client.permis.type}}</option>-->
                                                                     <option value="blue">Blue</option>
                                                                     <option value="rouge">rouge</option>
                                                                     <option value="vert">Vert</option>
                                                                     <option value="blanc">Blanc</option>
                                                                  </select>  
                                                               </div>
                                                               <!-- Category  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label>Annee  <span class="color-red">*</span></label>
                                                                  <select class="form-control" name="annee">
                                                                     <!--<option value="{{ client.permis.type}}" selected="selected">{{ client.permis.type}}</option>-->
                                                                     <option value="2011">2011</option>
                                                                     <option value="2012">2012</option>
                                                                     <option value="2015">2015</option>
                                                                  </select>  
                                                               </div>
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Chauffeur<small>Fournit avec un Chauffeur</small></label>
                                                                  <div class="skin-minimal">
                                                                     <ul class="list">
                                                                        <li>
                                                                           <input type="radio" id="new" name="carChauffeur" value="oui">
                                                                           <label  for="new">Oui</label>
                                                                           <input type="radio" id="used" name="carChauffeur" value="non" checked="checked">
                                                                           <label for="used">Non</label>
                                                                        </li>

                                                                     </ul>
                                                                  </div>
                                                               </div>
                                                            </div>
                                                            <div class="row">
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Proprietaire<small>La voiture vous appartient?</small></label>
                                                                  <div class="skin-minimal">

                                                                     <select class="form-control" id="yesCheck" name="owner">
                                                                        <!--<option value="{{ client.permis.type}}" selected="selected">{{ client.permis.type}}</option>-->
                                                                        <option value="oui" >oui</option>
                                                                        <option value="non" >non</option>
                                                                     </select>  
                                                                  </div>

                                                               </div>
                                                               <!-- Ad Condition  -->

                                                            </div>
                                                            <!-- Image Upload  -->
                                                            <div class="row" id="ifYes" style="display:none">
                                                               <!-- Category  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label>Civilite  <span class="color-red">*</span></label>
                                                                  <select class="form-control" name="civ_pro">
                                                                     <!--<option value="{{ client.permis.type}}" selected="selected">{{ client.permis.type}}</option>-->
                                                                     <option value="M">Monsieur</option>
                                                                     <option value="MLLE">Mademoisele</option>
                                                                     <option value="MME">Madame</option>
                                                                  </select>  
                                                               </div>                                                         
                                                               <!-- nom  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Nom</label>
                                                                  <input class="form-control"  type="text" name="nom_pro">
                                                               </div>
                                                               <!-- prenom  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Prenom</label>
                                                                  <input class="form-control"  type="text" name="Prenom_pro">
                                                               </div>
                                                               <!-- mail  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Email</label>
                                                                  <input class="form-control" type="email" name="mail_pro">
                                                               </div>
                                                               <!-- phone  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Telephone</label>
                                                                  <input class="form-control" type="tel" name="tel_pro">
                                                               </div>
                                                               <!-- date  -->
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Date de naissance</label>
                                                                  <input class="form-control" type="date" name="d_nais_pro">
                                                               </div>
                                                               <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                                  <label>Adresse <span class="color-red">*</span></label>
                                                                  <select class="form-control" name="quartier_pro">
                                                                     {% for quartier in QuartierList %}
                                                                     <option value="{{quartier.id}}">{{quartier.libelle}}</option>
                                                                  {% endfor %}
                                                                  </select>
                                                               </div>
                                                               <div class="form-group">
                                                                  <div class="col-md-8">
                                                                     <label>Justificatif <span class="color-red">*</span></label>
                                                                     <div class="input-group">
                                                                        <span class="input-group-btn">
                                                                        <span class="btn btn-default btn-file">
                                                                           <i class="fa fa-folder"></i>procuration <input type="file" name="procFile">
                                                                        </span>
                                                                        </span>
                                                                        <input type="text" class="form-control" name="fileUploaded" readonly>
                                                                     </div>
                                                                  </div>
                                                               </div>
                                                            </div>
                                                            <ul class="list-inline pull-right">
                                                                <li><button type="button" class="btn btn-danger next-step">Sauvegarder et continuer</button></li>
                                                            </ul>
                                                        </div>
                                                        <div class="tab-pane" role="tabpanel" id="step2">
                                                            <h3>Options du véhicule</h3>
                                                            <p>Choissisez des option payante associés à votre voiture</p>
                                                            <div class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
                                                               <label class="control-label">Sélectionnez les fonctionnalités gratuite de votre voiture</label>
                                                               <!-- Brands List -->                    
                                                               <div class="skin-minimal">
                                                                  <ul class="list">
                                                                     {% for opt in freeOptionList %}
                                                                     <li class="col-md-4 col-sm-6 col-xs-12">
                                                                        <input  type="checkbox" name="opt_free" value="{{opt.libelle}}">
                                                                        <label >{{opt.libelle}} </label>
                                                                     </li>
                                                                     {% endfor %}
                                                                  </ul>
                                                               </div>
                                                               <!-- Brands List End -->  
                                                            </div>
                                                            <div class="clearfix" style="margin-bottom: 10px"></div>
                                                            <div class="row">
                                                               <div class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
                                                                  <label class="control-label">Sélectionnez les fonctionnalités payante de votre voiture</label>
                                                                  <!-- Brands List -->                    
                                                                  <div class="skin-minimal">
                                                                     <ul class="list">
                                                                        {% for opt in paieOptionList %}
                                                                        <li class="col-md-4 col-sm-6 col-xs-12">
                                                                           <input  type="checkbox"  name="opt_paie" value="{{opt.libelle}}">
                                                                           <label >{{opt.libelle}}:</label><input type="text" placeholder="prix" name="{{opt.libelle}}">
                                                                        </li>
                                                                        {% endfor %}
                                                                     </ul>
                                                                  </div>
                                                                  <!-- Brands List End -->  
                                                               </div>
                                                            </div>
                                                            
                                                            <!-- end row -->
                                                            <div class="clearfix" style="margin-bottom: 20px"></div>
                                                            <ul class="list-inline pull-right">
                                                                <li><button type="button" class="btn btn-default prev-step">Precedent</button></li>
                                                                <li><button type="button" class="btn btn-danger next-step">Sauvegarder et continuer</button></li>
                                                            </ul>
                                                        </div>
                                                        <div class="tab-pane" role="tabpanel" id="step3">
                                                            <h3>Images du véhicule</h3>
                                                            <p>Image de mise en avant</p>
                                                         <!-- Image Upload  -->
                                                         <div class="row">
                                                            <!-- <div class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
                                                               <label class="control-label">Photos pour votre voiture<small>Veuillez ajouter des images de votre voiture. (350x450)</small></label>
                                                               <div id="dropzone" class="dropzone"></div>
                                                            </div>  -->
                                                            <div class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
                                                            <div class="form-group">
                                                               <div class="col-md-9">
                                                                  <div class="input-group">
                                                                     <span class="input-group-btn">
                                                                     <span class="btn btn-default btn-file">
                                                                     Image… <input type="file" id="imgInp" name="carImg">
                                                                     </span>
                                                                     </span>
                                                                     <input type="text" class="form-control" readonly>
                                                                  </div>
                                                               </div>
                                                               <div class="col-md-3">
                                                                  <img id="img-upload" class="img-responsive" src="{% static "images/users/2.jpg" %}" alt="" />
                                                               </div>
                                                            </div>
                                                         </div>
                                                         </div>
                                                         <!-- end row -->
                                                         <div class="row">
                                                            <div class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
                                                               <label class="control-label">Gallerie : <small>Cliquez sur l'espace en gris pour ajouter une image. (350x450)</small></label>
                                                               <div id="dropzone" class="dropzone">
                                                                  <div class="fallback">
                                                                  </div>
                                                               </div>
                                                            </div>
                                                         </div>
                                                         <!-- end row -->
                                                         <div class="clearfix" style="margin-bottom: 20px"></div>
                                                         <ul class="list-inline pull-right">
                                                               <li><button type="button" class="btn btn-default prev-step">Precedent</button></li>
                                                               <li><button type="button" class="btn btn-danger btn-info-full next-step">Sauvegarder et continuer</button></li>
                                                         </ul>
                                                         </div>
                                                         <div class="tab-pane" role="tabpanel" id="step4">
                                                      <h3>Prix de location</h3>
                                                      <p>tarif</p>
                                                      <div class="row">
                                                         <div class="col-md-6 col-lg-6 col-xs-12 col-sm-12">
                                                            <label class="control-label">Prix Par jour</label>
                                                            <input class="form-control" placeholder="10000" type="text" name="prix">
                                                         </div>
                                                         <div class="col-md-6 col-lg-6 col-xs-12 col-sm-12">
                                                            <label class="control-label">Prix par Km</label>
                                                            <input class="form-control" placeholder="10000" type="text" name="prixKm">
                                                         </div>
                                                      </div>
                                                      <!-- end row -->
                                                      <div class="clearfix" style="margin-bottom: 20px"></div>

                                                      <div class="row">
                                                         <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                            <label class="control-label">Mode de payement<small></small></label>
                                                            <div class="skin-minimal">

                                                               <select class="form-control" id="abnCheck" name="modPaie">
                                                                  <!--<option value="{{ client.permis.type}}" selected="selected">{{ client.permis.type}}</option>-->
                                                                  <option value="abonnement" >abonnement</option>
                                                                  <option value="location" selected="selected">Payement à la location</option>
                                                               </select>  
                                                            </div>

                                                         </div>
                                                         <!-- Ad Condition  -->

                                                      </div>
                                                      <div class="row" id="mode" style="display:none;">
                                                         <div class="col-md-6 col-lg-6 col-xs-12 col-sm-12" >
                                                            <label class="control-label">Type d'abonnement</label>
                                                            <select class="form-control" name="abn_mode">
                                                               {% for abn in abonnementList %}
                                                               <option value="{{abn.id}}">{{abn.mode}} / {{abn.prix}} Fcfa</option>
                                                            {% endfor %}
                                                            </select>
                                                      </div>
                                                      </div>
                                                      <div class="clearfix" style="margin-bottom: 40px"></div>
                                                      <ul class="list-inline pull-right">
                                                            <li><button type="button" class="btn btn-default prev-step">Precedent</button></li>
                                                            <li><button type="button" class="btn btn-danger btn-info-full next-step">Sauvegarder et continuer</button></li>
                                                      </ul>
                                                   </div>
                                                   <div class="tab-pane" role="tabpanel" id="step5">
                                                   <h3>Documents du véhicule</h3>
                                                   <p>Charger les pieces</p>
                                                   <fieldset> <legend>Assurances</legend>
                                                   <div class="row">
                                                      <!-- <div class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
                                                         <label class="control-label">Photos pour votre voiture<small>Veuillez ajouter des images de votre voiture. (350x450)</small></label>
                                                         <div id="dropzone" class="dropzone"></div>
                                                      </div>  -->
                                                     
                                                      <div class="col-md-3 col-lg-3 col-xs-12 col-sm-12">
                                                         <label class="control-label">Date de realisation</label>
                                                         <input class="form-control" placeholder="jj/mm/aaaa" type="date" name="visiteDStart">
                                                      </div>
                                                      <div class="col-md-3 col-lg-3 col-xs-12 col-sm-12">
                                                         <label class="control-label">Date d'expiration</label>
                                                         <input class="form-control" placeholder="jj/mm/aaaa" type="date" name="visiteDEnd">
                                                      </div>

                                                   <div class="form-group">
                                                      <div class="col-md-6">
                                                         <label>Document <span class="color-red">*</span></label>
                                                         <div class="input-group">
                                                            <span class="input-group-btn">
                                                            <span class="btn btn-default btn-file">
                                                               <i class="fa fa-folder"></i>Fichier <input type="file"  name="carVis">
                                                            </span>
                                                            </span>
                                                            <input type="text" class="form-control" name="fileUploaded" readonly>
                                                         </div>
                                                      </div>
                                                   </div>
                                                   </div>
                                                </fieldset>
                                                <div class="clearfix" style="margin-bottom: 40px"></div>
                                                <fieldset> <legend>Carte grise</legend>
                                                   <div class="row">
                                                      <!-- <div class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
                                                         <label class="control-label">Photos pour votre voiture<small>Veuillez ajouter des images de votre voiture. (350x450)</small></label>
                                                         <div id="dropzone" class="dropzone"></div>
                                                      </div>  -->
                                                     
                                                      <div class="col-md-3 col-lg-3 col-xs-12 col-sm-12">
                                                         <label class="control-label">Date d'attribution</label>
                                                         <input class="form-control" placeholder="10000" type="date" name="grayDAdd">
                                                      </div>
                                                      <div class="col-md-3 col-lg-3 col-xs-12 col-sm-12">
                                                         <label class="control-label">Immatriculation</label>
                                                         <input class="form-control" placeholder="saisisez l'Immatriculation" type="text" name="grayNum">
                                                      </div>
                                                   <div class="form-group">
                                                      <div class="col-md-6">
                                                         <label>Document <span class="color-red">*</span></label>
                                                         <div class="input-group">
                                                            <span class="input-group-btn">
                                                            <span class="btn btn-default btn-file">
                                                               <i class="fa fa-folder"></i>Fichier <input type="file" name="carGray">
                                                            </span>
                                                            </span>
                                                            <input type="text" class="form-control" name="fileUploaded" readonly>
                                                         </div>
                                                      </div>
                                                   </div>
                                                   </div>
                                                </fieldset>
                                                <div class="clearfix" style="margin-bottom: 40px"></div>
                                                <fieldset> <legend>Visite technique</legend>
                                                   <div class="row">
                                                     
                                                      <div class="col-md-3 col-lg-3 col-xs-12 col-sm-12">
                                                         <label class="control-label">Date de creation</label>
                                                         <input class="form-control" placeholder="10000" type="date" name="techDStart">
                                                      </div>
                                                      <div class="col-md-3 col-lg-3 col-xs-12 col-sm-12">
                                                         <label class="control-label">Date d'expiration</label>
                                                         <input class="form-control" placeholder="10000" type="date" name="techDEnd">
                                                      </div>
                                                      <div class="form-group">
                                                         <div class="col-md-6">
                                                            <label>Document <span class="color-red">*</span></label>
                                                            <div class="input-group">
                                                               <span class="input-group-btn">
                                                               <span class="btn btn-default btn-file">
                                                                  <i class="fa fa-folder"></i>Fichier <input type="file"  name="carTech">
                                                               </span>
                                                               </span>
                                                               <input type="text" class="form-control" name="fileUploaded" readonly>
                                                            </div>
                                                         </div>
                                                      </div>
                                                   </div>
                                                   </fieldset>
                                                   <div class="clearfix" style="margin-bottom: 40px"></div>
                                                   <ul class="list-inline pull-right">
                                                         <li><button type="button" class="btn btn-default prev-step">Precedent</button></li>
                                                         <li><button type="button" class="btn btn-danger btn-info-full next-step">Sauvegarder et continuer</button></li>
                                                   </ul>
                                                   </div>
                                                   <div class="tab-pane" role="tabpanel" id="step6">
                                                   <h3>Disponibilité du véhicule</h3>
                                                   <p>periode de location</p>
                                                   <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                      <label class="control-label">Date de creation</label>
                                                      <input class="form-control"  type="date" name="locatStart">
                                                   </div>
                                                   <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
                                                      <label class="control-label">Date d'expiration</label>
                                                      <input class="form-control"  type="date" name="locatEnd">
                                                   </div>
                                                   <div class="clearfix" style="margin-bottom: 40px"></div>
                                                   <div class="clearfix" style="margin-bottom: 40px"></div>
                                                   <ul class="list-inline pull-right">
                                                         <li><button type="button" class="btn btn-default prev-step">Precedent</button></li>
                                                         <li><button id="save-data" class="btn btn-danger btn-info-full next-step">Soumettre</button></li>
                                                   </ul>
                                                   </div>
                                                      <div class="clearfix"></div>
                                                   </div>
                                                </form>
                                            </div>
                     </div>
                     <!-- end post-ad-form-->
                  </div>
                  <!-- end col -->
               </div>
               <!-- Row End -->
            </div>
            <!-- Main Container End -->
         </section>
      </div>
         {% block scripts %}
         <script src="{% static "js/dropzone.js" %}"></script>
         <script src="{% static "js/form-dropzone.js" %}"></script>
         <script type="text/javascript">
               var fileList = new Array();
               Dropzone.autoDiscover = false;  //prevent dropzone to automatically discover the dropzone object in your html
               $("div#dropzone").dropzone({
                     uploadMultiple: true, // allow multiple upload
                     autoProcessQueue: false, // prevent dropzone from uploading automatically
                     url: "/", //dropzone needs a url attribute or it complains, what value you put here does not really matter. It is only purpose is to prevent a javascript error message from chrome console
                     maxFiles: 5, //set max uploads to 5 since you only have 5 image files in your model
                     paramName: "file_upload",
                     init: function(){
                           //everytime a file is uploaded, save the file object
                           //for later use
                           this.on("addedfile", function(file)
                           {
                              if (fileList.length < 5)
                              {
                                 fileList.push(file)
                                 console.log("file added");
                                 print(fileList)
                              }
                           });
                     }
                  });
                   // the following function override the "submit" button in the form
            $(document).on("click", '#save-data', function(e){
                  e.preventDefault() //prevent the form from submitting 
                  console.log('num of files: ' + fileList.length);
                  var formData = new FormData(); // construct our own upload data
                  var inputs = $("#newCarForm input");

                  //get all of the data from textboxes
                  $.each(inputs, function(obj, v){
                        var name = $(v).attr("name")
                        var val = $(v).val();
                        console.log('name: ' + name + ' value: ' + val);
                        formData.append(name, val);
                  });

                  //get the file object from dropzone and put it into our formdata
                  for(i=0;i<fileList.length;i++)
                  {
                        formData.append('user_image'+(i+1), fileList[i]);
                  }

                  var request = new XMLHttpRequest();
                  request.open("POST", "/valideajoutvehicule/"); //config your post url here
                  request.send(formData);  //send the post request to server
                  alert(request.response)
               });
              
         </script>


<script type="text/javascript">
   $('#yesCheck').on('change',function(){
       if( $(this).val()==="non"){
      
       $("#ifYes").show();
       }
       else{
         $("#ifYes").hide();
       }
   });
</script>

<script type="text/javascript">
   $('#abnCheck').on('change',function(){
      console.log("oki");
       if( $(this).val()==="abonnement"){
      
       $("#mode").show();
       }
       else{
         $("#mode").hide();
       }
   });
</script>

{% endblock %}
{% endblock %}  